

<?php $__env->startSection('title', gss('front_page_title', __("Welcome"))); ?>
<?php $__env->startSection('desc', gss('seo_description_home', gss('seo_description', ''))); ?>
<?php $__env->startSection('keyword', gss('seo_keyword_home', gss('seo_keyword', ''))); ?>

<?php $__env->startSection('content'); ?>
<?php if(!empty($schemes)): ?>
<section class="section <?php echo e((gss('ui_page_skin', 'dark') == 'dark') ? 'bg-grad-stripe-botttom' : 'bg-lighter pt-5'); ?> py-1">
    <div class="container wide-lg">
        <div class="row justify-content-center g-gs">

            <div class="col-lg-4 order-lg-2">
                <div class="pricing card card-shadow h-100 is-dark round-lg text-center">
                    <div class="card-inner card-inner-lg h-100 d-flex flex-column">
                        <h5 class="pricing-title"><?php echo e(data_get($schemes['highlight'], 'name')); ?></h5>
                        <span class="fs-20px"><?php echo e(data_get($schemes['highlight'], 'total_return')); ?>% <?php echo e(__("ROI")); ?></span>
                        <div class="pricing-parcent">
                            <h3 class="percent"><?php echo e(data_get($schemes['highlight'], 'rate_text')); ?></h3>
                            <h5 class="text"><?php echo e(data_get($schemes['highlight'], 'calc_period')); ?></h5>
                        </div>
                        <ul class="pricing-feature">
                            <li>
                                <span><?php echo e(__("Investment Period")); ?></span>
                                <span><?php echo e(data_get($schemes['highlight'], 'term_text')); ?></span>
                            </li>
                            <li>
                                <span><?php echo e(__("Investments")); ?></span>
                                <?php if(data_get($schemes['highlight'], 'is_fixed')): ?>
                                <span><?php echo e(money(data_get($schemes['highlight'], 'amount'), base_currency())); ?></span>
                                <?php else: ?>
                                <span><?php echo e(money(data_get($schemes['highlight'], 'amount'),  base_currency())); ?> - <?php echo e(data_get($schemes['highlight'], 'maximum') ? money(data_get($schemes['highlight'], 'maximum'),  base_currency()) : __("Unlimited")); ?></span>
                                <?php endif; ?>
                            </li>
                            <li>
                                <span><?php echo e(__("Capital Return")); ?></span>
                                <span><?php echo e((data_get($schemes['highlight'], 'capital') == 1) ? __("End of Term") : "Each Term"); ?></span>
                            </li>
                        </ul>
                        <div class="pricing-action mt-auto">
                            <?php if(!auth()->check()): ?>
                            <a class="btn btn-primary btn-lg btn-block" href="<?php echo e(route('auth.register.form')); ?>"><?php echo e(__("Make a deposit")); ?></a>
                            <?php else: ?>
                            <a class="btn btn-primary btn-lg btn-block" href="<?php echo e(route('user.investment.invest', data_get($schemes['highlight'], 'uid_code'))); ?>"><?php echo e(__("Invest Now")); ?></a>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-lg-4 col-md-6">
                <div class="pricing card card-shadow h-100 round-lg text-center">
                    <div class="card-inner card-inner-lg h-100 d-flex flex-column">
                        <h5 class="pricing-title"><?php echo e(data_get($schemes['one'], 'name')); ?></h5>
                        <span class="fs-20px"><?php echo e(data_get($schemes['one'], 'total_return')); ?>% <?php echo e(__("ROI")); ?></span>
                        <div class="pricing-parcent">
                            <h3 class="percent"><?php echo e(data_get($schemes['one'], 'rate_text')); ?></h3>
                            <h5 class="text"><?php echo e(data_get($schemes['one'], 'calc_period')); ?></h5>
                        </div>
                        <ul class="pricing-feature">
                            <li>
                                <span><?php echo e(__("Investment Period")); ?></span>
                                <span><?php echo e(data_get($schemes['one'], 'term_text')); ?></span>
                            </li>
                            <li>
                                <span><?php echo e(__("Investments")); ?></span>
                                <?php if(data_get($schemes['one'], 'is_fixed')): ?>
                                <span><?php echo e(money(data_get($schemes['one'], 'amount'), base_currency())); ?></span>
                                <?php else: ?>
                                <span><?php echo e(money(data_get($schemes['one'], 'amount'),  base_currency())); ?> - <?php echo e(data_get($schemes['one'], 'maximum') ? money(data_get($schemes['one'], 'maximum'),  base_currency()) : __("Unlimited")); ?></span>
                                <?php endif; ?>
                            </li>
                            <li>
                                <span><?php echo e(__("Capital Return")); ?></span>
                                <span><?php echo e((data_get($schemes['one'], 'capital') == 1) ? __("End of Term") : "Each Term"); ?></span>
                            </li>
                        </ul>
                        <div class="pricing-action mt-auto">
                            <?php if(!auth()->check()): ?>
                            <a class="btn btn-light btn-lg btn-block" href="<?php echo e(route('auth.register.form')); ?>"><?php echo e(__("Make a deposit")); ?></a>
                            <?php else: ?>
                            <a class="btn btn-light btn-lg btn-block" href="<?php echo e(route('user.investment.invest', data_get($schemes['one'], 'uid_code'))); ?>"><?php echo e(__("Invest Now")); ?></a>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-lg-4 col-md-6">
                <div class="pricing card card-shadow h-100 round-lg text-center">
                    <div class="card-inner card-inner-lg h-100 d-flex flex-column">
                        <h5 class="pricing-title"><?php echo e(data_get($schemes['two'], 'name')); ?></h5>
                        <span class="fs-20px"><?php echo e(data_get($schemes['two'], 'total_return')); ?>% <?php echo e(__("ROI")); ?></span>
                        <div class="pricing-parcent">
                            <h3 class="percent"><?php echo e(data_get($schemes['two'], 'rate_text')); ?></h3>
                            <h5 class="text"><?php echo e(data_get($schemes['two'], 'calc_period')); ?></h5>
                        </div>
                        <ul class="pricing-feature">
                            <li>
                                <span><?php echo e(__("Investment Period")); ?></span>
                                <span><?php echo e(data_get($schemes['two'], 'term_text')); ?></span>
                            </li>
                            <li>
                                <span><?php echo e(__("Investments")); ?></span>
                                <?php if(data_get($schemes['two'], 'is_fixed')): ?>
                                <span><?php echo e(money(data_get($schemes['two'], 'amount'), base_currency())); ?></span>
                                <?php else: ?>
                                <span><?php echo e(money(data_get($schemes['two'], 'amount'),  base_currency())); ?> - <?php echo e(data_get($schemes['two'], 'maximum') ? money(data_get($schemes['two'], 'maximum'),  base_currency()) : __("Unlimited")); ?></span>
                                <?php endif; ?>
                            </li>
                            <li>
                                <span><?php echo e(__("Capital Return")); ?></span>
                                <span><?php echo e((data_get($schemes['one'], 'capital') == 1) ? __("End of Term") : "Each Term"); ?></span>
                            </li>
                        </ul>
                        <div class="pricing-action mt-auto">
                            <?php if(!auth()->check()): ?>
                            <a class="btn btn-light btn-lg btn-block" href="<?php echo e(route('auth.register.form')); ?>"><?php echo e(__("Make a deposit")); ?></a>
                            <?php else: ?>
                            <a class="btn btn-light btn-lg btn-block" href="<?php echo e(route('user.investment.invest', data_get($schemes['two'], 'uid_code'))); ?>"><?php echo e(__("Invest Now")); ?></a>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</section>
<?php endif; ?>

<?php if(gss('front_page_extra', 'on')=='on' && (!auth()->check() || (auth()->check() && auth()->user()->role=='user'))): ?>
<section class="section">
    <div class="container wide-lg">
        <div class="row g-gs">

            <div class="col-lg-8">
                <div class="row g-gs">
                    <?php if(!auth()->check()): ?>
                    <div class="col-sm-6 col-md-4">
                        <div class="card card-shadow text-center h-100">
                            <div class="card-inner">
                                <div class="card-image">
                                    <img src="<?php echo e(asset('images/icon-a.png')); ?>" alt="">
                                </div>
                                <div class="card-text mt-4">
                                    <h6 class="title fs-14px"><?php echo e((gss('extra_step1_title')) ? __(gss('extra_step1_title')) : __("Register your free account")); ?></h6>
                                    <p><?php echo e((gss('extra_step1_text')) ? __(gss('extra_step1_text')) : __("Sign up with your email and get started!")); ?></p>
                                </div>
                            </div>
                            <div class="card-inner py-2 border-top mt-auto">
                                <a class="link" href="<?php echo e(route('auth.register.form')); ?>"><?php echo e(__("Create an account")); ?></a>
                            </div>
                        </div>
                    </div>
                    <?php endif; ?>

                    <div class="<?php echo e((auth()->check()) ? 'col-md-6' : 'col-md-4 col-sm-6'); ?>">
                        <div class="card card-shadow text-center h-100">
                            <div class="card-inner">
                                <div class="card-image">
                                    <img src="<?php echo e(asset('/images/icon-b.png')); ?>" alt="">
                                </div>
                                <div class="card-text mt-4">
                                    <h6 class="title fs-14px"><?php echo e((gss('extra_step2_title')) ? __(gss('extra_step2_title')) : __("Deposit fund and invest")); ?></h6>
                                    <p><?php echo e((gss('extra_step2_text')) ? __(gss('extra_step2_text')) : __("Just top up your balance & select your desired plan.")); ?></p>
                                </div>
                            </div>
                            <div class="card-inner py-2 border-top mt-auto">
                                <?php if(!auth()->check()): ?>
                                <a class="link" href="<?php echo e(route('auth.register.form')); ?>"><?php echo e(__("Make a deposit")); ?></a>
                                <?php else: ?>
                                <a class="link" href="<?php echo e(route('deposit')); ?>"><?php echo e(__("Make a deposit")); ?></a>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>

                    <div class="<?php echo e((auth()->check()) ? 'col-md-6' : 'col-md-4'); ?>">
                        <div class="card card-shadow text-center h-100">
                            <div class="card-inner">
                                <div class="card-image">
                                    <img src="<?php echo e(asset('/images/icon-c.png')); ?>" alt="">
                                </div>
                                <div class="card-text mt-4">
                                    <h6 class="title fs-14px"><?php echo e((gss('extra_step3_title')) ? __(gss('extra_step3_title')) : __("Payout your profits")); ?></h6>
                                    <p><?php echo e((gss('extra_step3_text')) ? __(gss('extra_step3_text')) : __("Withdraw your funds to your account once earn profit.")); ?></p>
                                </div>
                            </div>
                            <div class="card-inner py-2 border-top mt-auto">
                                <?php if(!auth()->check()): ?>
                                <a class="link" href="<?php echo e(route('auth.register.form')); ?>"><?php echo e(__("Withdraw profits")); ?></a>
                                <?php else: ?>
                                <a class="link" href="<?php echo e(route('deposit')); ?>"><?php echo e(__("Withdraw profits")); ?></a>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-lg-4">
                <div class="card card-shadow text-center h-100">
                    <div class="card-inner card-inner-lg my-auto">
                        <div class="card-text my-lg-n2">
                            <h6 class="title fs-14px"><?php echo e((gss('extra_step4_title')) ? __(gss('extra_step4_title')) : __("Payment processors we accept")); ?></h6>
                            <p><?php echo e((gss('extra_step4_text')) ? __(gss('extra_step4_text')) : __("We accept paypal, cryptocurrencies such as Bitcoin, Litecoin, Ethereum more.")); ?></p>
                            <ul class="icon-list icon-bordered icon-rounded mb-3">
                                <li><em class="icon ni ni-paypal-alt"></em></li>
                                <li><em class="icon ni ni-bitcoin"></em></li>
                                <li><em class="icon ni ni-sign-eth"></em></li>
                                <li><em class="icon ni ni-sign-ltc"></em></li>
                            </ul>
                            <div class="payment-action">
                                <?php if(!auth()->check()): ?>
                                <a href="<?php echo e(route('auth.register.form')); ?>" class="btn btn-lg btn-primary btn-block"><span><?php echo e(__("Join now")); ?> <?php echo e(__("and")); ?> <?php echo e(__("make deposit")); ?></span></a>
                                <?php else: ?>
                                <a class="btn btn-lg btn-primary btn-block" href="<?php echo e(route('deposit')); ?>"><?php echo e(__("Make a deposit")); ?></a>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<?php else: ?>
<div class="gap gap-lg"></div>
<?php endif; ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('frontend.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\frank\Desktop\xammp\htdocs\invest1\core_invapp\resources\views/frontend/index.blade.php ENDPATH**/ ?>